/*  ==========================================================================
    // Button Size
    //
    // Different sizes for buttons
    //
    // .button--mini - mini
    // .button--small - small
    // .button--large - large
    // .button--huge - huge
    // .button--full - block
    //
    // Markup: forms-button-size.html
    //
    // Style guide: Modules.Button Size
/*  ========================================================================== */

	.button--mini
    {
        padding: $button-mini-padding;
        font-size: $button-mini-font-size;
        line-height: $button-mini-line-height;

        .icon:before,
        &.icon:before,
        &.icon--left:before,
        &.icon--right:before
        {
            padding-bottom: ($button-border-width * 2);
            font-size: $button-mini-icon-size;
            line-height: $button-mini-line-height;
        }
    }

    .button--small
    {
        padding: $button-small-padding;
        font-size: $button-small-font-size;
        line-height: $button-small-line-height;

        .icon:before,
        &.icon:before,
        &.icon--left:before,
        &.icon--right:before
        {
            padding-bottom: ($button-border-width * 2);
            font-size: $button-small-icon-size;
            line-height: $button-mini-line-height;
        }
    }

    .button--large
    {
        padding: $button-large-padding;
        font-size: $button-large-font-size;
        line-height: $button-large-line-height;

        .icon:before,
        &.icon:before,
        &.icon--left:before,
        &.icon--right:before,
        [class^="zsicon-"], [class*=" zsicon-"]
        {
            padding-bottom: ($button-border-width * 2);
            font-size: $button-large-icon-size;
            line-height: $button-large-line-height;
            font-size: 2rem;
            vertical-align: top;
        }
    }

    .button--huge
    {
        padding: $button-huge-padding;
        font-size: $button-huge-font-size;
        line-height: $button-huge-line-height;

        .icon:before,
        &.icon:before,
        &.icon--left:before,
        &.icon--right:before
        {
            padding-bottom: ($button-border-width * 2);
            font-size: $button-huge-icon-size;
            line-height: $button-huge-line-height;
        }
    }

    .button--full
    {
        display: block;
        width: 100%;
        margin-top: $button-block-margin;
        margin-bottom: $button-block-margin;
        margin-right: 0;
        margin-left: 0;

        border-radius: $button-full-border-radius;
    }